aboutsummaryrefslogtreecommitdiff
path: root/databases
diff options
context:
space:
mode:
Diffstat (limited to 'databases')
-rw-r--r--databases/mongodb/Makefile14
-rw-r--r--databases/mongodb/distinfo4
-rw-r--r--databases/mongodb/files/mongod.in2
-rw-r--r--databases/mongodb/files/patch-SConstruct14
-rw-r--r--databases/mongodb/pkg-deinstall15
-rw-r--r--databases/mongodb/pkg-install43
-rw-r--r--databases/mongodb/pkg-plist48
7 files changed, 62 insertions, 78 deletions
diff --git a/databases/mongodb/Makefile b/databases/mongodb/Makefile
index e79d17257441..45ce6b55e502 100644
--- a/databases/mongodb/Makefile
+++ b/databases/mongodb/Makefile
@@ -6,11 +6,10 @@
#
PORTNAME= mongodb
-PORTVERSION= 1.6.5
-PORTREVISION= 1
+PORTVERSION= 1.8.1
CATEGORIES= databases net
MASTER_SITES= http://downloads.mongodb.org/src/ \
- http://derzinn.de/files/
+ http://files.derzinn.de/
DISTNAME= ${PORTNAME}-src-r${PORTVERSION}
MAINTAINER= mail@derzinn.de
@@ -31,14 +30,13 @@ USE_SCONS= yes
SCONS_TARGET= all
SCONS_ARGS= --prefix=${PREFIX}
+USERS= mongodb
+GROUPS= mongodb
+
USE_RC_SUBR= mongod
.include <bsd.port.pre.mk>
-.if ${OSVERSION} < 700042
-BROKEN= Does not build
-.endif
-
.if defined(WITH_DEVEL)
SCONS_ARGS+= --full
PLIST_SUB+= DEVEL=""
@@ -56,6 +54,4 @@ post-install:
${TOUCH} ${PREFIX}/etc/mongodb.conf ; \
fi
- PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
.include <bsd.port.post.mk>
diff --git a/databases/mongodb/distinfo b/databases/mongodb/distinfo
index bd0846409fef..0f7c70828bca 100644
--- a/databases/mongodb/distinfo
+++ b/databases/mongodb/distinfo
@@ -1,2 +1,2 @@
-SHA256 (mongodb-src-r1.6.5.tar.gz) = 5feac5302be91eea758851d28e4ad09ff4d11a28ffcb61e792ab7aeb5327a8a0
-SIZE (mongodb-src-r1.6.5.tar.gz) = 1506561
+SHA256 (mongodb-src-r1.8.1.tar.gz) = 8b268b4f8c4d055c74add1fc995f103d893657c4291964d370899ebefd0bc97d
+SIZE (mongodb-src-r1.8.1.tar.gz) = 1718969
diff --git a/databases/mongodb/files/mongod.in b/databases/mongodb/files/mongod.in
index 23e605128c8a..1aad7017ea9e 100644
--- a/databases/mongodb/files/mongod.in
+++ b/databases/mongodb/files/mongod.in
@@ -1,7 +1,7 @@
#!/bin/sh
# PROVIDE: mongod
-# REQUIRE: NETWORK
+# REQUIRE: NETWORK ldconfig
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
diff --git a/databases/mongodb/files/patch-SConstruct b/databases/mongodb/files/patch-SConstruct
new file mode 100644
index 000000000000..ac3f01d83d64
--- /dev/null
+++ b/databases/mongodb/files/patch-SConstruct
@@ -0,0 +1,14 @@
+--- SConstruct.orig 2011-04-06 06:40:13.000000000 +0200
++++ SConstruct 2011-04-09 10:59:56.000000000 +0200
+@@ -679,7 +679,10 @@
+
+ #make scons colorgcc friendly
+ env['ENV']['HOME'] = os.environ['HOME']
+- env['ENV']['TERM'] = os.environ['TERM']
++ try:
++ env['ENV']['TERM'] = os.environ['TERM']
++ except KeyError:
++ env['ENV']['TERM'] = 'dumb'
+
+ if linux and has_option( "sharedclient" ):
+ env.Append( LINKFLAGS=" -Wl,--as-needed -Wl,-zdefs " ) \ No newline at end of file
diff --git a/databases/mongodb/pkg-deinstall b/databases/mongodb/pkg-deinstall
deleted file mode 100644
index 1c7a5bf2805d..000000000000
--- a/databases/mongodb/pkg-deinstall
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/sh
-# $FreeBSD$
-#
-
-if [ "$2" != "POST-DEINSTALL" ]; then
- exit 0
-fi
-
-USER=mongodb
-
-if pw usershow "${USER}" 2>/dev/null 1>&2; then
- echo "To delete mongodb user permanently, use 'pw userdel ${USER}'"
-fi
-
-exit 0
diff --git a/databases/mongodb/pkg-install b/databases/mongodb/pkg-install
deleted file mode 100644
index 3faf828e0b3c..000000000000
--- a/databases/mongodb/pkg-install
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-# $FreeBSD$
-#
-
-if [ "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-USER=mongodb
-GROUP=${USER}
-UID=922
-GID=${UID}
-DBDIR=/var/db/mongodb
-
-#touch ${PREFIX}/etc/mongodb.conf
-
-if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
- if pw groupadd ${GROUP} -g ${GID}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
-fi
-
-if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
- if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
- -s "/bin/sh" -d "/var/db/mongodb" \
- -c "mongodb pseudo-user"; \
- then
- echo "Added user \"${USER}\"."
- if [ ! -d ${DBDIR} ]
- then
- echo "Creating \"${DBDIR}\"."
- mkdir ${DBDIR}
- chown ${USER}:${GROUP} ${DBDIR}
- fi
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
-fi
-exit 0
diff --git a/databases/mongodb/pkg-plist b/databases/mongodb/pkg-plist
index 639b985bfdf2..acb32fb1aebb 100644
--- a/databases/mongodb/pkg-plist
+++ b/databases/mongodb/pkg-plist
@@ -12,10 +12,10 @@ bin/mongos
bin/mongosniff
bin/mongostat
%%DEVEL%%lib/libmongoclient.a
+%%DEVEL%%include/mongo/bson/bson-inl.h
%%DEVEL%%include/mongo/bson/bson.h
%%DEVEL%%include/mongo/bson/bson_db.h
%%DEVEL%%include/mongo/bson/bsonelement.h
-%%DEVEL%%include/mongo/bson/bsoninlines.h
%%DEVEL%%include/mongo/bson/bsonmisc.h
%%DEVEL%%include/mongo/bson/bsonobj.h
%%DEVEL%%include/mongo/bson/bsonobjbuilder.h
@@ -31,7 +31,9 @@ bin/mongostat
%%DEVEL%%include/mongo/client/connpool.h
%%DEVEL%%include/mongo/client/constants.h
%%DEVEL%%include/mongo/client/dbclient.h
+%%DEVEL%%include/mongo/client/dbclient_rs.h
%%DEVEL%%include/mongo/client/dbclientcursor.h
+%%DEVEL%%include/mongo/client/dbclientmockcursor.h
%%DEVEL%%include/mongo/client/distlock.h
%%DEVEL%%include/mongo/client/gridfs.h
%%DEVEL%%include/mongo/client/model.h
@@ -46,6 +48,7 @@ bin/mongostat
%%DEVEL%%include/mongo/db/cmdline.h
%%DEVEL%%include/mongo/db/commands.h
%%DEVEL%%include/mongo/db/concurrency.h
+%%DEVEL%%include/mongo/db/curop-inl.h
%%DEVEL%%include/mongo/db/curop.h
%%DEVEL%%include/mongo/db/cursor.h
%%DEVEL%%include/mongo/db/database.h
@@ -54,6 +57,14 @@ bin/mongostat
%%DEVEL%%include/mongo/db/dbmessage.h
%%DEVEL%%include/mongo/db/dbwebserver.h
%%DEVEL%%include/mongo/db/diskloc.h
+%%DEVEL%%include/mongo/db/dur.h
+%%DEVEL%%include/mongo/db/dur_commitjob.h
+%%DEVEL%%include/mongo/db/dur_journal.h
+%%DEVEL%%include/mongo/db/dur_journalformat.h
+%%DEVEL%%include/mongo/db/dur_journalimpl.h
+%%DEVEL%%include/mongo/db/dur_recover.h
+%%DEVEL%%include/mongo/db/dur_stats.h
+%%DEVEL%%include/mongo/db/durop.h
%%DEVEL%%include/mongo/db/extsort.h
%%DEVEL%%include/mongo/db/filever.h
%%DEVEL%%include/mongo/db/index.h
@@ -67,19 +78,18 @@ bin/mongostat
%%DEVEL%%include/mongo/db/matcher.h
%%DEVEL%%include/mongo/db/minilex.h
%%DEVEL%%include/mongo/db/module.h
+%%DEVEL%%include/mongo/db/mongommf.h
+%%DEVEL%%include/mongo/db/mongomutex.h
+%%DEVEL%%include/mongo/db/namespace-inl.h
%%DEVEL%%include/mongo/db/namespace.h
%%DEVEL%%include/mongo/db/nonce.h
%%DEVEL%%include/mongo/db/oplog.h
%%DEVEL%%include/mongo/db/oplogreader.h
%%DEVEL%%include/mongo/db/pdfile.h
+%%DEVEL%%include/mongo/db/projection.h
%%DEVEL%%include/mongo/db/query.h
%%DEVEL%%include/mongo/db/queryoptimizer.h
%%DEVEL%%include/mongo/db/queryutil.h
-%%DEVEL%%include/mongo/db/rec.h
-%%DEVEL%%include/mongo/db/reccache.h
-%%DEVEL%%include/mongo/db/reci.h
-%%DEVEL%%include/mongo/db/recstore.h
-%%DEVEL%%include/mongo/db/repl.h
%%DEVEL%%include/mongo/db/repl/connections.h
%%DEVEL%%include/mongo/db/repl/health.h
%%DEVEL%%include/mongo/db/repl/multicmd.h
@@ -88,32 +98,41 @@ bin/mongostat
%%DEVEL%%include/mongo/db/repl/rs_exception.h
%%DEVEL%%include/mongo/db/repl/rs_member.h
%%DEVEL%%include/mongo/db/repl/rs_optime.h
+%%DEVEL%%include/mongo/db/repl.h
%%DEVEL%%include/mongo/db/repl_block.h
%%DEVEL%%include/mongo/db/replpair.h
%%DEVEL%%include/mongo/db/resource.h
+%%DEVEL%%include/mongo/db/restapi.h
%%DEVEL%%include/mongo/db/scanandorder.h
%%DEVEL%%include/mongo/db/security.h
+%%DEVEL%%include/mongo/db/security_key.h
%%DEVEL%%include/mongo/db/stats/counters.h
%%DEVEL%%include/mongo/db/stats/fine_clock.h
%%DEVEL%%include/mongo/db/stats/service_stats.h
%%DEVEL%%include/mongo/db/stats/snapshots.h
%%DEVEL%%include/mongo/db/stats/top.h
+%%DEVEL%%include/mongo/db/taskqueue.h
%%DEVEL%%include/mongo/db/update.h
%%DEVEL%%include/mongo/pch.h
%%DEVEL%%include/mongo/s/balance.h
%%DEVEL%%include/mongo/s/balancer_policy.h
%%DEVEL%%include/mongo/s/chunk.h
+%%DEVEL%%include/mongo/s/client.h
%%DEVEL%%include/mongo/s/config.h
%%DEVEL%%include/mongo/s/cursors.h
+%%DEVEL%%include/mongo/s/d_chunk_manager.h
%%DEVEL%%include/mongo/s/d_logic.h
+%%DEVEL%%include/mongo/s/d_writeback.h
%%DEVEL%%include/mongo/s/grid.h
%%DEVEL%%include/mongo/s/request.h
%%DEVEL%%include/mongo/s/server.h
%%DEVEL%%include/mongo/s/shard.h
+%%DEVEL%%include/mongo/s/shard_version.h
%%DEVEL%%include/mongo/s/shardkey.h
%%DEVEL%%include/mongo/s/stats.h
%%DEVEL%%include/mongo/s/strategy.h
%%DEVEL%%include/mongo/s/util.h
+%%DEVEL%%include/mongo/s/writeback_listener.h
%%DEVEL%%include/mongo/scripting/engine.h
%%DEVEL%%include/mongo/scripting/engine_java.h
%%DEVEL%%include/mongo/scripting/engine_spidermonkey.h
@@ -122,17 +141,23 @@ bin/mongostat
%%DEVEL%%include/mongo/scripting/v8_utils.h
%%DEVEL%%include/mongo/scripting/v8_wrapper.h
%%DEVEL%%include/mongo/targetver.h
+%%DEVEL%%include/mongo/util/admin_access.h
+%%DEVEL%%include/mongo/util/alignedbuilder.h
%%DEVEL%%include/mongo/util/allocator.h
%%DEVEL%%include/mongo/util/array.h
%%DEVEL%%include/mongo/util/assert_util.h
%%DEVEL%%include/mongo/util/background.h
%%DEVEL%%include/mongo/util/base64.h
+%%DEVEL%%include/mongo/util/bufreader.h
%%DEVEL%%include/mongo/util/concurrency/list.h
%%DEVEL%%include/mongo/util/concurrency/msg.h
%%DEVEL%%include/mongo/util/concurrency/mutex.h
%%DEVEL%%include/mongo/util/concurrency/mvar.h
+%%DEVEL%%include/mongo/util/concurrency/race.h
%%DEVEL%%include/mongo/util/concurrency/rwlock.h
+%%DEVEL%%include/mongo/util/concurrency/shared_mutex_win.hpp
%%DEVEL%%include/mongo/util/concurrency/spin_lock.h
+%%DEVEL%%include/mongo/util/concurrency/synchronization.h
%%DEVEL%%include/mongo/util/concurrency/task.h
%%DEVEL%%include/mongo/util/concurrency/thread_pool.h
%%DEVEL%%include/mongo/util/concurrency/value.h
@@ -142,31 +167,38 @@ bin/mongostat
%%DEVEL%%include/mongo/util/file_allocator.h
%%DEVEL%%include/mongo/util/goodies.h
%%DEVEL%%include/mongo/util/hashtab.h
+%%DEVEL%%include/mongo/util/heapcheck.h
%%DEVEL%%include/mongo/util/hex.h
%%DEVEL%%include/mongo/util/histogram.h
%%DEVEL%%include/mongo/util/hostandport.h
%%DEVEL%%include/mongo/util/httpclient.h
%%DEVEL%%include/mongo/util/log.h
-%%DEVEL%%include/mongo/util/lruishmap.h
+%%DEVEL%%include/mongo/util/logfile.h
%%DEVEL%%include/mongo/util/md5.h
+%%DEVEL%%include/mongo/util/lruishmap.h
%%DEVEL%%include/mongo/util/md5.hpp
%%DEVEL%%include/mongo/util/message.h
%%DEVEL%%include/mongo/util/message_server.h
%%DEVEL%%include/mongo/util/miniwebserver.h
%%DEVEL%%include/mongo/util/mmap.h
%%DEVEL%%include/mongo/util/mongoutils/checksum.h
+%%DEVEL%%include/mongo/util/mongoutils/hash.h
%%DEVEL%%include/mongo/util/mongoutils/html.h
%%DEVEL%%include/mongo/util/mongoutils/str.h
+%%DEVEL%%include/mongo/util/moveablebuffer.h
%%DEVEL%%include/mongo/util/ntservice.h
%%DEVEL%%include/mongo/util/optime.h
%%DEVEL%%include/mongo/util/password.h
+%%DEVEL%%include/mongo/util/paths.h
%%DEVEL%%include/mongo/util/processinfo.h
%%DEVEL%%include/mongo/util/queue.h
%%DEVEL%%include/mongo/util/ramlog.h
-%%DEVEL%%include/mongo/util/ramstore.h
+%%DEVEL%%include/mongo/util/signal_handlers.h
%%DEVEL%%include/mongo/util/sock.h
%%DEVEL%%include/mongo/util/stringutils.h
%%DEVEL%%include/mongo/util/text.h
+%%DEVEL%%include/mongo/util/time_support.h
+%%DEVEL%%include/mongo/util/timer.h
%%DEVEL%%include/mongo/util/unittest.h
%%DEVEL%%include/mongo/util/version.h
%%DEVEL%%include/mongo/util/winutil.h